Bug 393163 - [Wayland] When I tap the app icon in window decoration using a touch screen, menu opens at the cursor position
Summary: [Wayland] When I tap the app icon in window decoration using a touch screen, ...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: decorations (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-15 10:41 UTC by Patrick Silva
Modified: 2020-11-23 15:21 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21
mgraesslin: Wayland+
mgraesslin: X11-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-04-15 10:41:08 UTC
On neon dev unstable

start Wayland session
open dolphin
move cursor to right side of the screen
use a touch screen to tap dolphin icon in window decoration
menu opens in the right side of the screen, at the cursor position
Comment 1 Martin Flöser 2018-04-15 15:08:58 UTC
Btw. instead of prefix the title you can use the flags.
Comment 2 Alexander Mentyu 2018-08-23 12:30:35 UTC
Can reproduce

Lenovo Yoga 520
Distribution: KDE neon Developer Edition
Kernel: 4.15.0-29-generic
Plasma: 5.13.80
Apps: 18.11.70
Qt: 5.11.1
Frameworks: 5.48.0
Graphics:
Card-1: Intel driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:5917 
Card-2: NVIDIA GM108M [GeForce 940MX] driver: nouveau v: kernel bus ID: 01:00.0 chip ID: 10de:134d 
Display: wayland server: X.Org 1.19.6 driver: modesetting,nouveau 
unloaded: fbdev,vesa alternate: nvidia compositor: kwin wayland 
resolution: 1920x1080~57Hz 
OpenGL: renderer: Mesa DRI Intel UHD Graphics 620 (Kabylake GT2) v: 4.5 Mesa 18.0.5 
compat-v: 3.0 direct render: Yes
Comment 3 Patrick Silva 2019-03-02 16:34:52 UTC
Bug persists.

Operating System: KDE neon Developer Edition
KDE Plasma Version: 5.15.80
KDE Frameworks Version: 5.56.0
Qt Version: 5.12.0
Comment 4 David Greengas 2020-03-09 01:14:55 UTC
I just tested this on KDE Neon
Plasma: 5.18.2
Frameworks: 5.67.0
Qt: 5.14.1

I created a new test user for wayland. I was able to duplicate this bug.
Comment 5 Patrick Silva 2020-11-01 19:08:01 UTC
it's still reproducible.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.0
Comment 6 Bug Janitor Service 2020-11-22 20:32:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/474
Comment 7 David Edmundson 2020-11-22 21:47:36 UTC
Git commit 8f104815e8c2e99f9c16e4cc815f37df6372039a by David Edmundson, on behalf of Xaver Hugl.
Committed on 22/11/2020 at 21:47.
Pushed by davidedmundson into branch 'master'.

Add a QRect to showWindowMenu

This is so we don't have to rely on the cursor position for the popup

M  +2    -3    decorations/decoratedclient.cpp
M  +1    -1    decorations/decoratedclient.h
M  +2    -1    kcmkwin/kwindecoration/declarative-plugin/previewclient.cpp
M  +1    -1    kcmkwin/kwindecoration/declarative-plugin/previewclient.h

https://invent.kde.org/plasma/kwin/commit/8f104815e8c2e99f9c16e4cc815f37df6372039a